<?php

namespace ModulesGarden\Servers\OpenXchange\App\Http\Client;

use ModulesGarden\Servers\OpenXchange\Core\Helper;
use ModulesGarden\Servers\OpenXchange\Core\Http\AbstractClientController;
use ModulesGarden\Servers\OpenXchange\Core\UI\Traits\WhmcsParams;

class MxRecords extends AbstractClientController
{
    use WhmcsParams;

    public function index()
    {
        if ($this->getWhmcsParamByKey('status') === 'Active')
        {
            return Helper\view()
                ->addElement(\ModulesGarden\Servers\OpenXchange\App\UI\Client\MXRecords\Pages\MxRecordsDescription::class)
                ->addElement(\ModulesGarden\Servers\OpenXchange\App\UI\Client\MXRecords\Pages\MxRecordsPage::class);
        }
    }
}
